pcl::_PointXYZLAB Struct Reference

`#include <pcl/registration/gicp6d.h>`

Inheritance diagram for pcl::_PointXYZLAB:

## Public Attributes

| PCL_ADD_POINT4D
union {
struct {
float L
float a
float b
} |
float data_lab [4]
}; |

## Detailed Description

Definition at line 50 of file gicp6d.h.

## Member Data Documentation

## @128

union { ... }

## a

float pcl::_PointXYZLAB::a

Definition at line 58 of file gicp6d.h.

## b

float pcl::_PointXYZLAB::b

Definition at line 59 of file gicp6d.h.

## data_lab

float pcl::_PointXYZLAB::data_lab[4]

Definition at line 61 of file gicp6d.h.

## L

float pcl::_PointXYZLAB::L

Definition at line 57 of file gicp6d.h.

## PCL_ADD_POINT4D

pcl::_PointXYZLAB::PCL_ADD_POINT4D

Definition at line 52 of file gicp6d.h.

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/registration/include/pcl/registration/gicp6d.h